package com.genlot.ninglottery.game.k3.bean;

import com.genlot.ninglottery.game.bet.BetNumber;
import com.genlot.ninglottery.toolkit.GameUtil;

import java.util.ArrayList;
import java.util.Set;

/**
 * @author ZhuYongKang
 * @description 三不同号
 * @date 2019/10/21
 */
public class Diff3Number extends SingleK3{

    @Override
    public void random(int... args) {
        clear();
        //第一位
        Set<Integer> set1 = GameUtil.randomList(1, 6, 3);
        ArrayList<Integer> list = new ArrayList<>(set1);
        BetNumber number1 = new BetNumber(String.valueOf(list.get(0)));
        number1.setType(BetNumber.CHECKED);
        BetNumber number2 = new BetNumber(String.valueOf(list.get(1)));
        number2.setType(BetNumber.CHECKED);
        BetNumber number3 = new BetNumber(String.valueOf(list.get(2)));
        number3.setType(BetNumber.CHECKED);
        mList1.add(number1);
        mList2.add(number2);
        mList3.add(number3);
    }

}
